<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\KursDetails\KursBearbeiten;

class KursBearbeitenView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/kursuebersicht/detailsreiter/kursbearbeiten.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->kurs,
      true
    );
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKurse();
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->kurs);
  }
}

class KursBearbeitenViewModel
{
  public $kurs;
  public $columns;
  
  public $toolSection;
  public $toolSettings;
}